#pragma once

#include <sigc++/connection.h>

#include "application/application.h"

class arona_application : public application {
public:
    arona_application();
    ~arona_application() override = default;
    void init() override;
    void shutdown() override;

    int32_t get_screen_refresh_rate() const;
private:
    int32_t screen_refresh_rate_ = 0;
    sigc::connection timer_;
};

arona_application* get_arona_application();
