#include "main_window.h"

#include "audio/plugin_host/plugin_host.h"
#include "audio/plugin_host/plugin_host_manager.h"
#include "arona_application.h"

void main_window::on_click() {
    const char* path = R"(F:\VST\VST64\Serum_x64.dll)";
    plugin_host* host = get_plugin_host_manager()->create_instrument_plugin_host(path);
    host->try_open_editor();
}

bool main_window::on_close_request() {
    get_arona_application()->shutdown();
    return Window::on_close_request();
}
