#include "w_mixer_track.h"

#include "audio/mixer/mixer_track.h"

std::string vertical_text(const std::string& text) {
    std::string result;
    for (char c : text) {
        result += c;
        result += '\n';
    }
    return result;
}

w_mixer_track::w_mixer_track() : Box(Gtk::Orientation::HORIZONTAL) {
    append(audio_buffer_bar_);
    append(label_);
}

void w_mixer_track::set_mixer_track(mixer_track* track) {
    track_ = track;
    audio_buffer_bar_.set_buffers(track_->ui_buffers);
    label_.set_text(vertical_text(track_->get_name().c_str()));
}
