#pragma once
#include "gtkmm.h"
#include "mixer/w_mixer_list.h"

class main_window : public Gtk::Window {
public:
    main_window() {
        box_ = Gtk::Box(Gtk::Orientation::VERTICAL);
        button_ = Gtk::Button("Hello, World!");
        button_.signal_clicked().connect(mem_fun(*this, &main_window::on_click));

        box_.append(button_);
        box_.append(mixer_list_);

        set_default_size(800, 600);
        set_child(box_);
        set_title("Arona");
    }
protected:
    void on_click();
    bool on_close_request() override;
private:
    Gtk::Box box_;
    Gtk::Button button_;
    w_mixer_list mixer_list_;
};
