#pragma once
#include "gtkmm/drawingarea.h"

class w_volume_bar : public Gtk::DrawingArea {
public:
    explicit w_volume_bar(bool vertical = false);
    void set_value(double value) {
        value_ = value;
        queue_draw();
    }
    const bool is_vertical;
private:
    void on_draw(const Cairo::RefPtr<Cairo::Context>& cr, int width, int height);
    double value_ = 0.;
};
